> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Subtask Status

> **Required plan:** Professional or Enterprise.

Get the subtask status of the latest run of a task.



## OpenAPI

````yaml /en/api/openapi.json get /cloudextraction/task/subtasks
openapi: 3.0.1
info:
  title: Octoparse API
  description: >-
    Octoparse OpenAPI allows you to programmatically manage tasks, run cloud
    extractions, and retrieve scraped data. Base URL:
    `https://openapi.octoparse.com`
  version: 1.0.0
servers:
  - url: https://openapi.octoparse.com
    description: Octoparse API Server
security: []
paths:
  /cloudextraction/task/subtasks:
    get:
      tags:
        - Cloud Extraction
      summary: Get Subtask Status
      description: |-
        **Required plan:** Professional or Enterprise.

        Get the subtask status of the latest run of a task.
      operationId: getSubtaskStatus
      parameters:
        - name: taskId
          in: query
          required: true
          schema:
            type: string
        - name: page
          in: query
          required: true
          schema:
            type: integer
          description: Page number (starts from 1)
        - name: size
          in: query
          required: true
          schema:
            type: integer
          description: Number of subtasks per page
      responses:
        '200':
          description: Subtask statuses retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        subTaskId:
                          type: string
                        status:
                          type: string
                  requestId:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Use the access_token obtained from POST /token

````